/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  See LICENSE for redistribution conditions. */

#ifndef __SAM_H__
#define __SAM_H__

#ifdef GP32
#include "gp32/gptypes.h"
#else
#include <SDL/SDL_types.h>
#endif

#define sam_read_word(a) (sam_read_byte(a)<<8 | sam_read_byte(a+1))

extern Uint8 ram0[0x8000];
extern Uint8 ram1[0x8000];
extern Uint8 rom0[0x8000];

extern Uint32 sam_register;

void sam_init(void);
void sam_reset(void);
void sam_ram_reset(void);
Uint8 sam_read_byte(Uint16 addr);
void sam_store_byte(Uint16 addr, Uint8 octet);
void sam_video_pointers(Uint8 **ptrs);
void sam_video_vsync(void);
void sam_update_from_register(void);

int load_image(char *filename, Uint8 *buffer, int size);

#endif  /* __SAM_H__ */
