/*  XRoar - a Dragon/Tandy Coco emulator
 *  Copyright (C) 2003  Ciaran Anscomb
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifdef GP32
#include "gp32/gptypes.h"
#else
#include <string.h>
#include <SDL/SDL.h>
#endif

#include "video.h"

#ifdef GP32
#include "gp32/video.c"
#else
#include "sdl/video.c"
#endif

static PIXEL backup[320*240];

void video_clear_screen(PIXEL colour) {
        video_fillrect(0,0,320,240,colour);
}

void video_backup(PIXEL *base) {
	memcpy(backup, base, 320*240*sizeof(PIXEL));
}
void video_restore(PIXEL *base) {
	memcpy(base, backup, 320*240*sizeof(PIXEL));
}
